MORSE2ASCII(1)

NAME
morse2ascii - tool for decoding the morse codes from a PCM WAV file

SYNOPSIS
morse2ascii [options] <file.WAV/TXT>

DESCRIPTION

This tool employs a volume/peak based method to decode the morse codes from a PCM WAV file as well as from text and RAW PCM files.

It contains some options for parsing abbreviations, prosigns and qcodes.

OPTIONS
-a    abbreviations and prosigns parsing

-q    q-codes parsing

-r F C B    consider the file as raw headerless PCM data, you must specify the
Frequency, Channels and Bits like -r 44100 2 16

-o    disable the automatic optimizations: DC bias adjust and normalize.
Use this option only if your file is already clean and normalized

-m    morse notation output (like ...___... instead of SOS), debug

-w FILE    debug option for dumping the handled samples from the memory to FILE

-d    debug info (WAV input only)

Note: the input file can be a PCM WAV audio file or also a text file which uses the dotlinespace notation (._ or .-), dit-dah, binary and others use - as file for reading a text stream from stdin